Subject: bug#43112: hedgewars 1.0.0 fails to build

From: Andreas Enge <[email-masked]>
Date: Tue, 1 Sep 2020 18:42:39 +0200

Hello,

On Sun, Aug 30, 2020 at 01:23:37PM +0000, bdju via Bug reports for GNU Guix wrote:
> build log here:
> http://ix.io/2vGD
> 
> running guix (GNU Guix) a6b72a0f2b02f27c44c28d32ec26fc8188ee61b8

I also gave it a try, seeing that the build log does not show any error.
With "guix build -K", I kept the compile output; when going there, sourcing
the environment variables, and executing "make" inside the build directory,
I obtain this:

make[2]: Leaving directory '/tmp/guix-build-hedgewars-1.0.0.drv-0/build'
make -f gameServer/CMakeFiles/hedgewars-server.dir/build.make gameServer/CMakeFiles/hedgewars-server.dir/build
make[2]: Entering directory '/tmp/guix-build-hedgewars-1.0.0.drv-0/build'
[  0%] Generating ../bin/hedgewars-server
cd /tmp/guix-build-hedgewars-1.0.0.drv-0/build/gameServer && /gnu/store/55c0m16dwnmmp3pah1hqx1941niwi6x4-ghc-8.6.5/bin/ghc --make /tmp/guix-build-hedgewars-1.0.0.drv-0/hedgewars-src-1.0.0/gameServer/hedgewars-server.hs -i/tmp/guix-build-hedgewars-1.0.0.drv-0/hedgewars-src-1.0.0/gameServer -o /tmp/guix-build-hedgewars-1.0.0.drv-0/build/bin/hedgewars-server -odir /tmp/guix-build-hedgewars-1.0.0.drv-0/build/gameServer -hidir /tmp/guix-build-hedgewars-1.0.0.drv-0/build/gameServer -optl -Wl,-znoexecstack -optl -Wl,-zorigin -optl -Wl,-zrelro -optl -Wl,-znow -optl -Wl,--as-needed -w -O2
Linking /tmp/guix-build-hedgewars-1.0.0.drv-0/build/bin/hedgewars-server ...
ld: cannot find -lHSregex-tdfa-1.2.3.2-24BpKmE04Wg88SsVhgqjyZ
ld: cannot find -lHSregex-base-0.93.2-8QGsCbNNqfw1S2nCPh78l5
ld: cannot find -lHSrandom-1.1-3ypV4EIycgb35PKjTYYr5q
ld: cannot find -lHShslogger-1.2.12-AaeMgrm5rNI5Z24IIbtrYk
ld: cannot find -lHSold-locale-1.0.0.7-D4Rn5zPhtMJBwwirPJNu78
ld: cannot find -lHSSHA-1.6.4.4-2RupSAnpeNXEBKs3DBmh9t
ld: cannot find -lHSsandi-0.5-68jdPC8nLnWJlrWG9c5osg
ld: cannot find -lHSconduit-1.3.1.1-HHNSx0Rlg49GLeG80WDDy0
ld: cannot find -lHSresourcet-1.2.2-Emj2r8UU0FnFk5fiQalh7y
ld: cannot find -lHSunliftio-core-0.1.2.0-DmlZdkLzX278vkyONsp8WQ
ld: cannot find -lHSmono-traversable-1.0.13.0-JJqhoeNBH61CGPpVRvMPaQ
ld: cannot find -lHSvector-algorithms-0.8.0.1-7vdfxmytFg1aLO2PtO4J8
ld: cannot find -lHSunordered-containers-0.2.10.0-IxEX4gD8y7xFG1XVoZBXwV
ld: cannot find -lHSsplit-0.2.3.3-JwIpsUofoFU4mN2JjdQEHy
ld: cannot find -lHShashable-1.2.7.0-Hn2R07DgowqB1NMU1vHO6c
ld: cannot find -lHSexceptions-0.10.3-BZy4XtH1BuX7zYRttZiTh5
ld: cannot find -lHStransformers-compat-0.6.5-6PKzEe5EVLXd5Neg4mr6X
ld: cannot find -lHSentropy-0.4.1.5-1eGU5wdZtMSH0Us8GoRymJ
ld: cannot find -lHSutf8-string-1.0.1.1-Geq8jdOv4Q3LkcQoEOWDVv
ld: cannot find -lHSnetwork-2.8.0.1-Hmt657UE3v349uYmvUXEvW
ld: cannot find -lHSvector-0.12.0.3-2LEYu9M2i7lERDtz76XG3n
ld: cannot find -lHSprimitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b
collect2: error: ld returned 1 exit status
`gcc' failed in phase `Linker'. (Exit code: 1)

This does not make much sense to me - it simply looks like a list of
ghc packages; the first one, [email-masked] is already an input,
the second one not. Someone who knows ghc should take over...

Andreas